seo:
  title: 'Google Cloud Next: Doubling down on Kubernetes and multi-cloud'
  description: Everything you need to know from last week’s big event.
  ogTitle: 'Google Cloud Next: Doubling down on Kubernetes and multi-cloud'
  ogDescription: Everything you need to know from last week’s big event.
  noIndex: false
  ogImage: images/blog/hero-images/multi-cloud-future.jpg
  ogUrl: https://about.gitlab.com/blog/google-cloud-next-anthos-kubernetes
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/google-cloud-next-anthos-kubernetes
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Google Cloud Next: Doubling down on Kubernetes and multi-cloud",
            "author": [{"@type":"Person","name":"Melissa Smolensky"}],
            "datePublished": "2019-04-16",
          }

content:
  title: 'Google Cloud Next: Doubling down on Kubernetes and multi-cloud'
  description: Everything you need to know from last week’s big event.
  authors:
    - Melissa Smolensky
  heroImage: images/blog/hero-images/multi-cloud-future.jpg
  date: '2019-04-16'
  body: >

    Last week at Google Next we saw Google bet big on Kubernetes. Google
    announced Anthos,

    a multi-cloud platform based on Kubernetes, as well as Cloud Run, Google
    Cloud’s commercial Knative offering.

    The key technology at the center of these two big announcements is
    Kubernetes.

    As [Janakiram MSV](https://twitter.com/janakiramm) stated in a [Forbes
    article](https://www.forbes.com/sites/janakirammsv/2019/04/14/everything-you-want-to-know-about-anthos-googles-hybrid-and-multi-cloud-platform/#68ffc6d05b66)
    in regards to Anthos,


    > The core theme of Anthos is application modernization. Google envisages a
    future where all enterprise applications will run on Kubernetes.


    And in his [New Stack
    article](https://thenewstack.io/how-google-cloud-run-combines-serverless-with-containers/)
    about Cloud Run,


    > Like the way it offered a managed Kubernetes service before any other
    provider, Google moved fast in exposing Knative through Cloud Run to
    developers.


    For a quick overview of the news at Google Next, [Brandon
    Jung](https://twitter.com/brandoncjung),

    VP of Alliances at GitLab, gives a quick recap of the news and how it
    impacts GitLab. Take a look.


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/teRaXAPbfoA" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    Launched by Google in 2014 at the first DockerCon, Kubernetes has become the
    de facto standard

    for container orchestration. This May, 12,000 people will gather at KubeCon
    Barcelona to

    learn how to implement and use Kubernetes to drive forward cloud native
    application development within their organizations.


    Here at GitLab we embraced Kubernetes early on as well, and we are
    continuing to take our

    dedication further, putting the power of Kubernetes in the developer
    workflow.

    Even the CNCF uses GitLab to provide cross-project

    continuous integration and interoperability testing.


    ## Kubernetes throughout every step of the software development lifecycle


    “By allowing people to quickly connect Kubernetes clusters to their projects
    we are helping many

    enterprises embrace the cloud native way of building applications,” says Sid
    Sijbrandij, CEO at GitLab.

    “By providing a single application we allow enterprise developer and
    operations teams to embrace

    Kubernetes every step of the way in their software development process.

    We’ve seen a large financial institution go from a single build every two
    weeks to over 1,000

    self-served builds a day using GitLab. It is wonderful to see the scale we
    can unlock for organizations

    by providing access to Kubernetes in the developer workflow.”


    ## GitLab plus Kubernetes


    If you are looking to get started using [Kubernetes with
    GitLab](/solutions/kubernetes/),

    you can easily connect any existing Kubernetes cluster on any platform to
    GitLab by using

    GitLab’s native Kubernetes integration. GitLab even makes it easy to set up
    and configure new

    clusters with just a few clicks using the Google Kubernetes Engine (GKE)
    integration.

    Once connected, teams can install managed applications like Helm Tiller,
    Ingress,

    and Prometheus to their cluster with a single click in the GitLab interface.

    Connected clusters are available as a deploy target from GitLab CI/CD and
    are monitored

    using GitLab’s bundled Prometheus capabilities.


    We love seeing the community embrace GitLab and Kubernetes.


    <blockquote class="twitter-tweet" data-lang="en"><p lang="en"
    dir="ltr">getting back to grips with <a
    href="https://twitter.com/hashtag/GitLab?src=hash&amp;ref_src=twsrc%5Etfw">#GitLab</a>
    CICD with <a
    href="https://twitter.com/hashtag/Terraform?src=hash&amp;ref_src=twsrc%5Etfw">#Terraform</a>
    jobs and knocked up a <a
    href="https://twitter.com/hashtag/Kubernetes?src=hash&amp;ref_src=twsrc%5Etfw">#Kubernetes</a>
    cluster for the runner! <a
    href="https://twitter.com/hashtag/devops?src=hash&amp;ref_src=twsrc%5Etfw">#devops</a>
    <a
    href="https://twitter.com/hashtag/devoops?src=hash&amp;ref_src=twsrc%5Etfw">#devoops</a>
    <a
    href="https://twitter.com/hashtag/nomorejenkins?src=hash&amp;ref_src=twsrc%5Etfw">#nomorejenkins</a>
    <a
    href="https://twitter.com/hashtag/SRE?src=hash&amp;ref_src=twsrc%5Etfw">#SRE</a>
    <a
    href="https://twitter.com/hashtag/GCP?src=hash&amp;ref_src=twsrc%5Etfw">#GCP</a></p>&mdash;
    Ferris Hall (@Ferrish07) <a
    href="https://twitter.com/Ferrish07/status/1106252265218703360?ref_src=twsrc%5Etfw">March
    14, 2019</a></blockquote>

    <script async src="https://platform.twitter.com/widgets.js"
    charset="utf-8"></script>


    <blockquote class="twitter-tweet" data-lang="en"><p lang="en"
    dir="ltr">I&#39;ve just posted a little experience report. I&#39;m now using
    <a
    href="https://twitter.com/hashtag/Kubernetes?src=hash&amp;ref_src=twsrc%5Etfw">#Kubernetes</a> 
    to spread my build load, thanks to <a
    href="https://twitter.com/gitlab?ref_src=twsrc%5Etfw">@gitlab</a> and <a
    href="https://twitter.com/GCPcloud?ref_src=twsrc%5Etfw">@GCPcloud</a>. <a
    href="https://t.co/KGQ9kyEEP5">https://t.co/KGQ9kyEEP5</a></p>&mdash; Paul
    Hicks (@tenwit) <a
    href="https://twitter.com/tenwit/status/1104828372197113856?ref_src=twsrc%5Etfw">March
    10, 2019</a></blockquote>

    <script async src="https://platform.twitter.com/widgets.js"
    charset="utf-8"></script>


    <blockquote class="twitter-tweet" data-lang="en"><p lang="pl"
    dir="ltr">GitLab CI/CD &amp;&amp; Kubernetes by Bruno Fonseca <a
    href="https://t.co/ZDymOsbKfc">https://t.co/ZDymOsbKfc</a></p>&mdash; Paulo
    George Bezerra (@paulobezerr) <a
    href="https://twitter.com/paulobezerr/status/1108049894877659136?ref_src=twsrc%5Etfw">March
    19, 2019</a></blockquote>

    <script async src="https://platform.twitter.com/widgets.js"
    charset="utf-8"></script>


    Cover image by [Cody Schroeder](https://unsplash.com/@codyrs) on
    [Unsplash](https://unsplash.com/photos/L99UKlcUBJY?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)

    {: .note}
  category: Company
  tags:
    - cloud native
    - events
    - GKE
    - google
    - kubernetes
config:
  slug: google-cloud-next-anthos-kubernetes
  featured: false
  template: BlogPost
